<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

require_once 'shared.inc.php';


class PageFavorites extends PageCategories
{
	public $sNodes;
	private $aNode;
	
	
	protected function getParameters() { return concatLists(parent::getParameters(), 'sNodes'); }
	
	protected function getTitle() { return 'Favoris'; }
	
	
	protected function contents()
	{
		$s = $this->putTitle('Favoris');
		
		$aidNode = parseNodeIdList($this->sNodes);
		
		$s .= html::par($this->linkTarget(
			new target('edit_favorites.php', array('sNodes' => concat($aidNode, ','))),
			'Modifier la liste des ressources') . '  Cliquez sur un nom de ressource pour lafficher en dessous ');
		
		// Data of the resources: full tree
		$view = new view($this);
		$view->loadRessources($aidNode);
		$sItemsData = $view->dump(viewSeparateDisplay, 3);
		
		// List of the resources: clicking an item display the corresponding data tree.
		$aItem = array();
		foreach ($view->getDisplayedResources() as $resource)
			$aItem[] = html::link('javascript:sdDisplay(' . $resource->id . ')', html::text($resource->getLinkTitle()));
		$s .= html::listU($aItem, attr::className('sdItems'));
		
		$s .= $sItemsData;
		
		return $s;
	}
}

Page::output(new PageFavorites);

?>