<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

require_once 'shared.inc.php';


class PageIndexCursus extends PageCategories
{
	protected function getTitle() { return 'Rechercher par cursus'; }
	
	
	protected function contents()
	{
		$aCursus = array();
		$sCursusList = $this->getPropertyAssoc(propertyCursus, propertyTheme, $aCursus);
		
		// Details
		$aCursusDetails = array();
		foreach ($aCursus as $cursus) {
			$idCursus = $cursus->id;
			if (!$idCursus)
				continue;
			
			$sAnchor = 'details_' . $idCursus;
			$aLink = $this->getObjectLinks($cursus, $sAnchor, $cursus->iObjectLinksFlags);
			append($aLink, $this->getPropertyFlagsIcon($cursus));
			$aLink[] = html::span(html::text($cursus->getLinkTitle()), attr::id($sAnchor));
			$aCursusDetails[] = array(
				concat($aLink),
				$cursus->linkOut($this, true),
				html::text($cursus->sFullName),
			);
		}
		
		return
			$this->putTitle($this->getTitle()) .
			$sCursusList .
			$this->putTitle('Dtail des cursus') .
			self::getTable($aCursusDetails, array(250, null, null), 'cursus-details');
	}
}

Page::output(new PageIndexCursus);

?>