<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

require_once 'shared.inc.php';


class PageIndexHumans extends PageCategories
{
	protected function getTitle() { return 'Rechercher par enseignant'; }
	
	
	protected function scripts()
	{
		return parent::scripts() .
			html::jscriptLink('global.js') .
			html::jscriptLink('teachers.js');
	}
	
	
	protected function contents()
	{
		// Real-time search box
		$sSearch = form::formJScript('doSearch()',
			html::div(
				form::label('sTeacherWhat', 'Recherche en temps rel&nbsp;:') . ' ' .
				form::text('IDsTeacherWhat', 'Tapez quelques lettres du nom', 40, -1, attr::className('autocompl-init'))),
			attr::id('humansSearch'));
		
		// Humans table
		$aHuman = getProperties(propertyHuman);
		$anbHumanNode = projectToKey(sql::selectFetchBy(getList('link;node'), 'id',
			array('id' => 'link.idProperty', 'nbNode' => 'COUNT(node.id)'),
			sql::where(array('!link.idNode' => 'node.id', 'link.iProperty' => propertyHuman)) .
			' GROUP BY link.idProperty'), 'nbNode');
		
		$aRow = array();
		foreach ($aHuman as $human) {
			$nbContrib = defaultElement($anbHumanNode, $human->id, 0);
			
			$aLink   = $this->getObjectLinks($human, $human->getAnchor(),
				($nbContrib == 0) ? objectLinksDelete : 0);
			append($aLink, $this->getPropertyFlagsIcon($human));
			$aLink[] = html::span($human->link($this), attr::id($human->getAnchor()));
			
			$type = ObjectTypeInfo::get(nodeResource);
			$aRow[] = array(
				concat($aLink, html::nbsp()),
				$human->linkOut($this, true),
			);
		}
		
		return
			$this->putTitle($this->getTitle()) .
			$this->getCreatePropertyResourceLinkBar(propertyHuman) .
			$sSearch .
			self::getTable($aRow, array(null, null), '', attr::id('humans'));
	}
}

Page::output(new PageIndexHumans);

?>