<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

//-----------------------------------------------------------------
/// @file
/// @brief Base project file, to be included by all pages.
/// Set some constants and include configuration files.
//-----------------------------------------------------------------

/// @cond Constants having a default value in kernel.inc.php

define('bDebug',    true);
define('bDebugSQL', bDebug);

/// @endcond


define('iKernelDirLevel', 1);

require_once 'includes/kernel.inc.php';


//-----------------------------------------------------------------
/// @brief Data necessary to build an HTML link for DENIF
//-----------------------------------------------------------------

class DenifLink extends link
{
	public $sAction = '';
	
	/// @brief Default tooltips for actions. Used when the tooltip is empty.
	public static $aActionToolTip = array();
	
	
	public function html(array $aAttr = array())
	{
		if ($this->sAction) {
			$this->sClassName = trim('action ' . $this->sAction);
			$this->sLabel     = html::nbsp() . html::nbsp();
		}
		
		$sActionCleaned = trim(str_replace('grayed', '', $this->sAction));
		if (!$this->sToolTip && isset(self::$aActionToolTip[$sActionCleaned]))
			$this->sToolTip = self::$aActionToolTip[$sActionCleaned];
		
		return parent::html($aAttr);
	}
	
	
	public static function createAction($target, $sAction, $sToolTip = '')
	{
		$link = new DenifLink($target, '', '', $sToolTip);
		$link->sAction = $sAction;
		return $link;
	}
}


ClassLoader::loadFile('data');
ClassLoader::loadFile('forms');

require_once 'conf.inc.php';
sql::connect();

ini_set('user_agent', sUserAgent);

?>