<?php
// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

require_once 'shared.inc.php';


class PageSitemap extends PageDenif
{
	protected function getTitle() { return 'Plan du site'; }
	
	
	protected function contents()
	{
		$aTree = array(
			'index.php' => 'Accueil',
			'Rechercher' => array(
				'index_themes.php'   => 'par thme',
				'index_cursus.php'   => 'par cursus',
				'index_teachers.php' => 'par enseignant',
				'search.php'         => 'par mot cl',
			),
			'edit_favorites.php' => 'Crer une page de favoris',
			'Contact' => array(
				'contact.php'            => 'Contacter un administrateur',
				'contact.php?bPropose=1' => 'Proposer des documents',
			),
			$this->linkTarget('formats.php', 'Lire, convertir et imprimer les diffrents formats de fichiers') => array(
				'formats.php#windows' => 'Sous Windows',
				'formats.php#linux'   => 'Sous Linux et assimilables',
			),
		);
		
		// The contact form is available only if the server can send emails.
		if (!bCanSendEmail) {
			unset($aTree['Contact']);
		}
		
		return $this->linksTree($aTree);
	}
	
	
	protected function linksTree(array $a)
	{
		$aLink = array();
		foreach ($a as $sTitleOrURL => $treeOrTitle)
			$aLink[] = (is_array($treeOrTitle))
				? $sTitleOrURL . $this->linksTree($treeOrTitle)
				: $this->linkTarget($sTitleOrURL, $treeOrTitle);
		
		return html::listU($aLink);
	}
}

Page::output(new PageSitemap);

?>